get
https://production-api.shoutaboutus.com/api/v1/partner/plans/
Get a single plan for the authenticated partner (usage-based: for editing; plan-based: read-only).
Auth: Partner. Authentication group, no extra route-level route guard. getPartnerPlan resolves the partner via getAuthPartner (403 if none). You must link the plan to the partner via company_plans (planBelongsToCompany) else 403. Usage-based, then must be plan_type=usage-based AND is_admin_managed=0 else 403; plan-based, then must be plan_type=plan-based AND is_admin_managed=1 else 403. 404 if the plan id doesn't exist.
Rate limit: No rate limit.
Request
| Param | In | Type | Required | Notes |
|---|---|---|---|---|
id | path | integer | Yes | Plan ID (route [0-9]+). Must belong to the partner. |
Response (data.data = Plan with features + planReviewSites.reviewSite; data.meta.read_only)
Path params
| Parameter | Type | Required | Notes |
|---|---|---|---|
planId | integer | Required | Digits only. |
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
